# Delete a Post reply

## Delete existing reply

<mark style="color:red;">`DELETE`</mark> `https://api.whisk.com/v2/posts/replies/{reply_id}`

Method allow to delete reply by `reply_id` it could be used when user wants to delete his reply. This operaton permitted only for reply owners.

#### Path Parameters

| Name                                        | Type   | Description        |
| ------------------------------------------- | ------ | ------------------ |
| reply\_id<mark style="color:red;">\*</mark> | String | Reply id to delete |

#### Headers

| Name                                            | Type   | Description                                                                            |
| ----------------------------------------------- | ------ | -------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | User Access token to authorize the API usage. For more information, see Authentication |

{% tabs %}
{% tab title="200: OK Successful response" %}

```json
{}
```

{% endtab %}

{% tab title="401: Unauthorized This failed response appears due to API authentication failure. The possible error codes that may appear are: auth.tokenNotFound, auth.tokenExpired, auth.tokenInvalid, auth.tokenRequired." %}

```json
{
  "code": "auth.tokenNotFound"
}
```

{% endtab %}

{% tab title="500: Internal Server Error This failed response appears when something is not right on Whisk's end. Please send a message to <help@whisk.com>, and be sure to include both the Request and Response data. We’ll get back to you soon." %}

```
This is unexpected response, something is wrong on our side, please contact: help@whisk.com
```

{% endtab %}
{% endtabs %}

### Sample request and response

{% tabs %}
{% tab title="Request" %}
curl -X DELETE "<https://api.b2c.whisk-dev.com/v2/posts/replies/94279f04e58249ec90b425a6a911ecad>" -H "accept: application/json" -H "Authorization: Bearer "
{% endtab %}

{% tab title="Response" %}
{}
{% endtab %}
{% endtabs %}
